<template>
  <div id="nav">
    <ul>
      <li>
        <router-link to="/">Home</router-link>
      </li>
      <li>
        <router-link :to="{ name: 'About' }">About</router-link>
      </li>
      <li>
        <router-link :to="{ name: 'Jobs' }">Jobs</router-link>
      </li>
      <li>
        <router-link :to="{ name: 'AddDetails' }">Add</router-link>
      </li>
      <li>
        <router-link :to="{ name: 'Catelog' }">Catelog</router-link>
      </li>
    </ul>
  </div>
  <!-- <button @click="redirect">Redirect</button>
  <button @click="back">Go Back</button>
  <button @click="forward">Go Forward</button> -->
  <br />
  <router-view />
</template>

<script>
export default {
  name: "App",
  methods: {
    redirect() {
      this.$router.push({ name: "Home" });
    },
    back() {
      this.$router.go(-1);
    },
    forward() {
      this.$router.go(1);
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

button {
  margin: 0 10px;
  padding: 10px;
  border: none;
  border-radius: 4px;
}

#nav {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60px;
  background-color: rgb(248, 226, 230);
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
li {
  padding: 10px;
  display: inline-block;
}

a {
  color: black;
  text-decoration: none;
  font-size: 1.1rem;
}

a.router-link-exact-active {
  color: white;
  background-color: skyblue;
  padding: 6px;
  border-radius: 5px;
}
</style>
